Bug 1342514 - missing info about last synchronization with ceph clusters
Summary: missing info about last synchronization with ceph clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI
Version: 2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 3
Assignee: kamlesh
QA Contact: sds-qe-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-03 12:10 UTC by Martin Kudlej
Modified: 2016-08-23 19:54 UTC (History)
7 users (show)

Fixed In Version: rhscon-core-0.0.34-1.el7scon.x86_64 rhscon-ceph-0.0.33-1.el7scon.x86_64 rhscon-ui-0.0.47-1.el7scon.noarch
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 19:54:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Tooltip showing last synced time (28.90 KB, image/png)
2016-06-09 20:16 UTC, Matt Carrano
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:1754 0 normal SHIPPED_LIVE New packages: Red Hat Storage Console 2.0 2017-04-18 19:09:06 UTC

Description Martin Kudlej 2016-06-03 12:10:22 UTC
Description of problem:
I think there should be information about last synchronization with all Ceph clusters. This synchronization is done every 24 hours but admin should know when it was done last time. I expect that this info is now in logs but logs can rotate and it is not easy to find it in logs.

Version-Release number of selected component (if applicable):
ceph-ansible-1.0.5-15.el7scon.noarch
ceph-installer-1.0.11-1.el7scon.noarch
rhscon-ceph-0.0.19-1.el7scon.x86_64
rhscon-core-0.0.20-1.el7scon.x86_64
rhscon-ui-0.0.34-1.el7scon.noarch

Expected results:
There will be info about last synchronization for all Ceph clusters.

Comment 1 Ju Lim 2016-06-07 18:40:56 UTC
I agree that showing that showing the last refreshed/updated would be useful.  It may make more sense to show this on a per cluster basis.  We could potentially show this in object details, tooltip on status details, or some other places that make sense. We'll look into this and see where best to show it.

Suggest this to be low to medium priority.

Comment 2 Matt Carrano 2016-06-09 20:16:47 UTC
Created attachment 1166413 [details]
Tooltip showing last synced time

I've attached a quick wireframe to show how this tooltip should appear.  Please reflect the current status and date/time of last sync.

Comment 3 :Deb 2016-06-14 15:39:42 UTC
Sounds like something that will need some bit of communication with backend engineering to get this to work. Better be done by Karnan, as he'll be more focused towards api/backend related bugs (as I'm traveling & working more on non-API/UX bugs).

Comment 4 Sharmilla Abhilash 2016-07-07 04:41:04 UTC
setting up the bug priority as per PM priority.

Comment 5 Martin Kudlej 2016-07-15 07:10:23 UTC
There is tooltip with last date of synchronization and it is correct.
Status is missing -> Assigned
Tested with
ceph-ansible-1.0.5-25.el7scon.noarch
ceph-installer-1.0.12-4.el7scon.noarch
rhscon-ceph-0.0.32-1.el7scon.x86_64
rhscon-core-0.0.33-1.el7scon.x86_64
rhscon-core-selinux-0.0.33-1.el7scon.noarch
rhscon-ui-0.0.47-1.el7scon.noarch

Comment 6 Martin Kudlej 2016-07-27 14:03:00 UTC
Tested with
ceph-ansible-1.0.5-31.el7scon.noarch
ceph-installer-1.0.14-1.el7scon.noarch
rhscon-ceph-0.0.36-1.el7scon.x86_64
rhscon-core-0.0.36-1.el7scon.x86_64
rhscon-core-selinux-0.0.36-1.el7scon.noarch
rhscon-ui-0.0.50-1.el7scon.noarch
and it works.

Comment 8 errata-xmlrpc 2016-08-23 19:54:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2016:1754


Note You need to log in before you can comment on or make changes to this bug.